<?xml version="1.0" encoding="UTF-8"?>
<Window>
	<HBox class="page_box">
		<ListBox class="listbox" width="128">
			<LabelListItem class="navigate_listitem" text_id="Engine"/>
			<LabelListItem class="navigate_listitem" text_id="Input"/>
			<LabelListItem class="navigate_listitem" text_id="DSP"/>
			<LabelListItem class="navigate_listitem" text_id="Output"/>
			<LabelListItem class="navigate_listitem" text_id="Data Format"/>
			<LabelListItem class="navigate_listitem" visible="false" text_id="Data Flow"/>
		</ListBox>
		<TabBox pad="0,2,0,2">
			<!--Engine-->
			<VScrollableBox space="24">
				<!--State-->
				<VBox class="section_box">
					<Label class="section_label" text_id="State"/>
					<!--Playback State-->
					<HBox class="section_hbox">
						<Label class="label" width="120" text_id="Playback State"/>
						<Label class="label" text_id="Stopped"/>
					</HBox>
					<!--Source Data Error-->
					<HBox class="section_hbox">
						<Label class="label" width="120" text_id="Data Error"/>
						<Label class="label" text_id="Never"/>
					</HBox>
					<!--Volume Overflow-->
					<HBox class="section_hbox" space="48">
						<HBox class="section_hbox" width="auto">
							<Label class="label" width="120" text_id="Volume Overflow"/>
							<Label class="label" text_id="Never"/>
						</HBox>
						<HBox class="section_hbox">
							<Label class="label" text_id="Max Decibel"/>
							<Label class="label" text="-inf"/>
							<Label class="label" text_id="dB"/>
						</HBox>
					</HBox>
					<!--Buffer Failure-->
					<HBox class="section_hbox">
						<Label class="label" width="120" text_id="Buffer Failure"/>
						<Label class="label" text="0"/>
						<Label class="label" text_id="times"/>
					</HBox>
				</VBox>
				<!--Volume-->
				<VBox class="section_box">
					<Label class="section_label" text_id="Volume"/>
					<HBox class="section_hbox">
						<Label class="label" width_min="100" text_id="Lower Limit"/>
						<Edit class="edit" width="100" text_halign="right"/>
						<!--<Slider class="slider" notify_drag="true" width="200"/>-->
						<!--<Button class="text_button" width="32" text="-"/>
						<Button class="text_button" width="32" text="+"/>-->
						<HBox class="section_hbox">
							<Button class="text_button" width="36" text="-inf"/>
							<Button class="text_button" width="36" text="-192"/>
							<Button class="text_button" width="36" text="-96"/>
							<Button class="text_button" width="36" text="-48"/>
							<Button class="text_button" width="36" text="-24"/>
							<Button class="text_button" width="36" text="-18"/>
							<Button class="text_button" width="36" text="-12"/>
							<Button class="text_button" width="36" text="-6"/>
							<Button class="text_button" width="36" text="0"/>
						</HBox>
					</HBox>
					<HBox class="section_hbox">
						<Label class="label" width_min="100" text_id="Upper Limit"/>
						<Edit class="edit" width="100" text_halign="right"/>
						<!--<Slider class="slider" notify_drag="true" width="200"/>-->
						<Button class="text_button" width="36" text="-"/>
						<Button class="text_button" width="36" text="+"/>
						<HBox class="section_hbox">
							<Button class="text_button" width="36" text="0"/>
							<Button class="text_button" width="36" text="-3"/>
							<Button class="text_button" width="36" text="-6"/>
							<Button class="text_button" width="36" text="-9"/>
							<Button class="text_button" width="36" text="-12"/>
							<Button class="text_button" width="36" text="-18"/>
							<Button class="text_button" width="36" text="-24"/>
						</HBox>
					</HBox>
					<HBox class="section_hbox">
						<Label class="label" width_min="100" text_id="Volume"/>
						<Edit class="edit" width="100" text_halign="right"/>
						<Slider class="slider" notify_drag="true" width="200"/>
					</HBox>
				</VBox>
				<!--Buffer-->
				<VBox class="section_box">
					<HBox class="section_hbox" space="24">
						<Label class="section_label" width="244" text_id="Buffer"/>
						<Label class="label" text_id="Actual Length" width="100"/>
						<Label class="label" text_id="Live Data"/>
					</HBox>
					<!--DSP Input Buffer-->
					<HBox class="section_hbox" space="24">
						<Combo class="text_combo" label="text_id='DSP Input Buffer' width='150'" button="width=&quot;84&quot;" list="width=&quot;84&quot;">
							<!--第一项不能改,其它可以在1到11之间设置-->
							<LabelListItem class="combo_listitem" text_id="Default"/>
							<!--<LabelListItem class="combo_listitem" text="1s"/>-->
							<LabelListItem class="combo_listitem" text="2s"/>
							<LabelListItem class="combo_listitem" text="3s"/>
							<LabelListItem class="combo_listitem" text="4s"/>
							<LabelListItem class="combo_listitem" text="6s"/>
							<LabelListItem class="combo_listitem" text="8s"/>
							<LabelListItem class="combo_listitem" text="10s"/>
						</Combo>
						<Label class="label" width="100"/>
						<BufferProgress class="buffer_progress"/>
					</HBox>
					<!--DSP Output Buffer-->
					<HBox class="section_hbox" space="24">
						<Combo class="text_combo" label="text_id='DSP Output Buffer' width='150'" button="width=&quot;84&quot;" list="width=&quot;84&quot;">
							<!--不要改变数量和顺序-->
							<LabelListItem class="combo_listitem" text_id="Default"/>
							<LabelListItem class="combo_listitem" text="1x"/>
							<LabelListItem class="combo_listitem" text="2x"/>
							<LabelListItem class="combo_listitem" text="3x"/>
							<LabelListItem class="combo_listitem" text="4x"/>
							<LabelListItem class="combo_listitem" text="6x"/>
							<LabelListItem class="combo_listitem" text="8x"/>
						</Combo>
						<Label class="label" width="100"/>
						<BufferProgress class="buffer_progress"/>
					</HBox>
					<!--Endpoint Buffer-->
					<HBox class="section_hbox" space="24">
						<Combo class="text_combo" label="text_id='Endpoint Buffer' width='150'" button="width=&quot;84&quot;" list="width=&quot;84&quot;">
							<!--不要改变数量和顺序-->
							<LabelListItem class="combo_listitem" text_id="Default"/>
							<LabelListItem class="combo_listitem" text_id="Minimum"/>
							<LabelListItem class="combo_listitem" text="5ms"/>
							<LabelListItem class="combo_listitem" text="10ms"/>
							<LabelListItem class="combo_listitem" text="25ms"/>
							<LabelListItem class="combo_listitem" text="50ms"/>
							<LabelListItem class="combo_listitem" text="100ms"/>
							<LabelListItem class="combo_listitem" text="250ms"/>
							<LabelListItem class="combo_listitem" text="500ms"/>
						</Combo>
						<Label class="label" width="100"/>
					</HBox>
				</VBox>
				<!--Power-->
				<VBox class="section_box">
					<Label class="section_label" text_id="Power"/>
					<CheckBox class="checkbox" text_id="Prevent system sleep while playback" selected="true"/>
					<CheckBox class="checkbox" text_id="Prevent monitor standby while playback" selected="false"/>
				</VBox>
			</VScrollableBox>
			<!--Input-->
			<VScrollableBox space="24">
				<VBox class="section_box">
					<Label class="section_label" text_id="Source"/>
					<HBox class="section_hbox">
						<Label class="label" text="URL"/>
						<Label class="label"/>
					</HBox>
				</VBox>
				<VBox class="section_box">
					<Label class="section_label" text_id="Input"/>
					<HBox class="section_hbox" visible="false">
						<Label class="label"/>
						<Label class="label"/>
					</HBox>
					<Label class="label" height="24"/>
					<!--<HBox class="section_hbox">
						<Label class="label" width="80" text_id="Name"/>
						<Label class="label"/>
					</HBox>
					<HBox class="section_hbox">
						<Label class="label" width="80" text_id="Version"/>
						<Label class="label"/>
					</HBox>
					<HBox class="section_hbox">
						<Label class="label" width="80" text_id="Description"/>
						<Label class="label"/>
					</HBox>
					<HBox class="section_hbox" visible="false">
						<Label class="label" width="80" text_id="Author"/>
						<Label class="label"/>
					</HBox>
					<HBox class="section_hbox" visible="false">
						<Label class="label" width="80" text_id="URL"/>
						<Label class="label"/>
					</HBox>-->
				</VBox>
				<VBox class="section_box">
					<Label class="section_label" text_id="Replay Gain"/>
					<Combo class="text_combo" label="text_id='DSD to PCM Gain(dB)'" button="width=&quot;64&quot;" list="width=&quot;64&quot;">
						<LabelListItem class="combo_listitem" text="+0"/>
						<LabelListItem class="combo_listitem" text="+1"/>
						<LabelListItem class="combo_listitem" text="+2"/>
						<LabelListItem class="combo_listitem" text="+3"/>
						<LabelListItem class="combo_listitem" text="+4"/>
						<LabelListItem class="combo_listitem" text="+5"/>
						<LabelListItem class="combo_listitem" text="+6"/>
					</Combo>
				</VBox>
			</VScrollableBox>
			<!--DSP-->
			<VScrollableBox space="24">
				<!--Parametric Filter-->
				<VBox class="section_box">
					<Label class="section_label" text_id="Parametric Filter"/>
					<CheckBox class="checkbox" text_id="Enabled" selected="false"/>
					<HBox class="section_hbox">
						<Button class="text_button" text_id="Select File"/>
						<Button class="text_button" text_id="Empty"/>
						<FilePathEdit class="edit" width="300"/>
					</HBox>
					<HBox class="section_hbox">
						<Button class="text_button" text_id="Reload"/>
						<Button class="text_button" text_id="Edit" enabled="false"/>
						<Label class="label" width="stretch"/>
					</HBox>
				</VBox>
				<!--Convolution Filter-->
				<VBox class="section_box">
					<Label class="section_label" text_id="Convolution Filter"/>
					<CheckBox class="checkbox" text_id="Enabled" selected="false"/>
					<HBox class="section_hbox">
						<Button class="text_button" text_id="Select File"/>
						<Button class="text_button" text_id="Empty"/>
						<FilePathEdit class="edit" width="300"/>
					</HBox>
					<HBox class="section_hbox">
						<Button class="text_button" text_id="Reload"/>
						<Button class="text_button" text_id="Plot" enabled="false"/>
						<Label class="label" width="stretch"/>
					</HBox>
				</VBox>
				<!--Sample Rate Convert-->
				<VBox class="section_box">
					<Label class="section_label" text_id="Sample Rate Convert"/>
					<Combo class="text_combo" label="text_id='Algorithm' width='80'" button="width=&quot;200&quot;" list="width=&quot;200&quot;">
						<LabelListItem class="combo_listitem" text_id="SoXR Linear Phase"/>
						<LabelListItem class="combo_listitem" text_id="SoXR Intermediate Phase"/>
						<LabelListItem class="combo_listitem" text_id="SoXR Minimum Phase"/>
					</Combo>
					<Combo class="text_combo" label="text_id='Quality' width='80'" button="width=&quot;84&quot;" list="width=&quot;84&quot;">
						<LabelListItem class="combo_listitem" text_id="Fine"/>
						<LabelListItem class="combo_listitem" text_id="Ideal"/>
						<LabelListItem class="combo_listitem" text_id="Ultimate"/>
					</Combo>
				</VBox>
				<!--Channel Convert-->
				<VBox class="section_box">
					<Label class="section_label" text_id="Channel Convert"/>
					<Combo class="text_combo" label="text_id='Conversion Rule'" button="width=&quot;84&quot;" list="width=&quot;84&quot;">
						<LabelListItem class="combo_listitem" text_id="Discrete"/>
						<LabelListItem class="combo_listitem" text_id="Mixing"/>
					</Combo>
					<CheckBox class="checkbox" text_id="If layout is undefined, use the common layout" selected="true" enabled="false" text_disabled="text_normal"/>
				</VBox>
				<!--Misc-->
				<VBox class="section_box">
					<Label class="section_label" text_id="Misc"/>
					<CheckBox class="checkbox" text_id="Anti Overflow" selected="true" enabled="false" text_disabled="text_normal"/>
					<CheckBox class="checkbox" text_id="MMCSS" selected="true" enabled="false" text_disabled="text_normal"/>
				</VBox>
			</VScrollableBox>
			<!--Output-->
			<VScrollableBox space="6">
				<!--Select Endpoint-->
				<VBox class="section_box" width="450">
					<!--Interface-->
					<HBox width="450" height="22" space="10" >
						<Label class="label" text_id="Interface" width="80"/>
						<HBox space="40" >
							<CheckBox class="checkbox" text_id="ASIO" selected="true"/>
							<CheckBox class="checkbox" text_id="WASAPI" selected="true"/>
						</HBox>
					</HBox>
					<HBox height="22" space="10">
						<Label class="label" width="80"/>
						<CheckBox class="checkbox" text_id="Hide Unavailable Endpoints" selected="true"/>
					</HBox>
					<HBox height="22" space="10">
						<Label class="label" width="80"/>
						<HBox height="22" space="10">
							<CheckBox class="checkbox" text_id="Check ASIO Endpoint State" selected="true"/>
							<Control width="stretch"/>
							<Button class="text_button" text_id="Refresh Endpoints"/>
						</HBox>
					</HBox>
					<EndpointCombo class="scroll_text_combo" label="width='80' text_id='Endpoint'" button="width='360'" list="width='580' height_max='231' vscroll_unit='23'">
					</EndpointCombo>
					<!--Endpoint State-->
					<HBox width="450" height="22" space="10" >
						<Label class="label" text_id="State" width="80"/>
						<Label class="label" width="stretch"/>
						<Button class="text_button" text_id="Refresh State"/>
					</HBox>
				</VBox>
				<!--Config Endpoint-->
				<VBox class="section_box" width="450">
					<!--Format-->
					<HBox height="22" space="10" >
						<Label class="label" text_id="Format" width="80"/>
						<Combo class="scroll_text_combo" clear_on_list_unselect="false" map_text="false" map_text_id="false" label="visible='false'" button="width='175' text_id='Supported Formats'" list="width='360' height_max='231' vscroll_unit='23'">
						</Combo>
						<Combo class="scroll_text_combo" clear_on_list_unselect="false" map_text="false" map_text_id="false" label="visible='false'" button="width='175' text_id='Enabled Formats'" list="width='360' height_max='231' vscroll_unit='23'">
						</Combo>
					</HBox>
					<!--Sample-->
					<Combo class="text_combo" label="text_id='Sample' width='80'" button="width=&quot;150&quot;" list="width=&quot;150&quot;">
					</Combo>
					<!--Sample Rate-->
					<HBox height="22" space="40" >
						<Combo class="text_combo" label="text_id='Sample Rate' width='80'" button="width=&quot;110&quot;" list="width=&quot;110&quot;">
						</Combo>
						<CheckBox class="checkbox" text_id="Adaptive Sample Rate Series" selected="true" height="22"/>
					</HBox>
					<!--Channels-->
					<HBox height="22" space="40" >
						<Combo class="text_combo" label="text_id='Channels' width='80'" button="width=&quot;110&quot;" list="width=&quot;110&quot;">
						</Combo>
						<Combo class="text_combo" label="text_id='Layout' width='80'" button="width=&quot;120&quot;" list="width=&quot;120&quot;">
						</Combo>
					</HBox>
					<!--Interface specific-->
					<TabBox height="auto">
						<!--ASIO-->
						<VBox height="auto" space="8">
							<Button class="text_button" height="22" text_id="Driver Control Panel"/>
						</VBox>
						<!--WASAPI-->
						<VBox height="auto" space="8">
							<HBox height="22" space="40" >
								<CheckBox class="checkbox" text_id="Exclusive Mode" selected="true" enabled="false" text_disabled="text_normal"/>
								<CheckBox class="checkbox" text_id="Event Driven" selected="true" enabled="false" text_disabled="text_normal"/>
								<CheckBox class="checkbox" text_id="MMCSS" selected="true" enabled="false" text_disabled="text_normal"/>
							</HBox>
						</VBox>
					</TabBox>
					<!--<Label class="label" width="auto" text_id="Some changes won't take effect until the next playback" height="22"/>-->
					<Button class="text_button" height="22" text_id="Apply and restore the playback state"/>
				</VBox>
			</VScrollableBox>
			<!--Data Format-->
			<VBox space="1">
				<HBox height="24" space="16">
					<Label class="label" width="80"/>
					<Label class="label" width="150" text_id="Sample"/>
					<Label class="label" width="120" text_id="Sample Rate"/>
					<Label class="label" width="120" text_id="Channels"/>
					<Label class="label" width="120" text_id="Layout"/>
				</HBox>
				<Label class="label" width="80" height="24" text_id="Source"/>
				<HBox height="24" space="16">
					<Label class="label" width="80"/>
					<Label class="label" width="150"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
				</HBox>
				<Label class="label" width="80" height="24" text_id="Input"/>
				<HBox height="24" space="16">
					<Label class="label" width="80"/>
					<Label class="label" width="150"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
				</HBox>
				<Label class="label" width="80" height="24" text_id="DSP"/>
				<HBox height="24" space="16">
					<Label class="label" width="80"/>
					<Label class="label" width="150"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
				</HBox>
				<Label class="label" width="80" height="24" text_id="Output"/>
				<HBox height="24" space="16">
					<Label class="label" width="80"/>
					<Label class="label" width="150"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
					<Label class="label" width="120"/>
				</HBox>
				<Label class="label" width="80" height="24" text_id="Endpoint"/>
			</VBox>
			<!--Data Flow-->
			<VBox space="12">
				<HBox height="22" margin="24,12,24,0">
					<Button class="engine_unit" text_id="Source"/>
					<EngineCable class="engine_cable"/>
					<Button class="engine_unit" text_id="Input"/>
					<EngineCable class="engine_cable"/>
					<Button class="engine_unit" text_id="DSP"/>
					<EngineCable class="engine_cable"/>
					<Button class="engine_unit" text_id="Output"/>
					<EngineCable class="engine_cable"/>
					<Button class="engine_unit" text_id="Endpoint"/>
				</HBox>
			</VBox>
			<!--System Info-->
			<VBox space="2">
			</VBox>
			<!--Laboratory-->
			<VScrollableBox space="24">
				<Button class="text_button" width="60" height="22" text="Button1"/>
				<Combo class="text_combo" label="text_id='combo'" button="width=&quot;64&quot;" list="width=&quot;64&quot;">
					<LabelListItem class="combo_listitem" text="item0"/>
					<LabelListItem class="combo_listitem" text="item1"/>
				</Combo>
			</VScrollableBox>
		</TabBox>
	</HBox>
</Window>